# map

Applies the function item `$f` to every item from the sequence `$seq` in turn, returning the concatenation of the resulting sequences in order.

map($f as function(item()) as item()*, $seq as item()*) → item()*

Arguments
| $f | function(item()) as item()* | The function item to be invoked on each member of the supplied sequence
| $seq | item()* | The input sequence: the supplied function will be applied to each item in this sequence
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

Next